"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _styledComponents = require("styled-components");

var _Code = _interopRequireDefault(require("./components/Code"));

var CodeWithTheme = (0, _styledComponents.withTheme)(_Code.default);
var emptyTheme = {};

var ThemedCode = function ThemedCode(props) {
  return /*#__PURE__*/_react.default.createElement(_styledComponents.ThemeProvider, {
    theme: emptyTheme
  }, /*#__PURE__*/_react.default.createElement(CodeWithTheme, props));
};

var _default = ThemedCode;
exports.default = _default;