import React from 'react';
import { ThemeProvider, withTheme } from 'styled-components';
import CodeBlock from './components/CodeBlock';
const CodeBlockWithTheme = withTheme(CodeBlock);
const emptyTheme = {};

const ThemeCodeBlock = props => /*#__PURE__*/React.createElement(ThemeProvider, {
  theme: emptyTheme
}, /*#__PURE__*/React.createElement(CodeBlockWithTheme, props));

export default ThemeCodeBlock;