export declare type SupportedLanguages = 'abap' | 'actionscript' | 'ada' | 'applescript' | 'arduino' | 'autoit' | 'c' | 'c++' | 'clojure' | 'coffeescript' | 'csharp' | 'css' | 'cuda' | 'd' | 'dart' | 'delphi' | 'diff' | 'elixir' | 'erlang' | 'fortran' | 'foxpro' | 'go' | 'graphql' | 'groovy' | 'haskell' | 'haxe' | 'html' | 'java' | 'javascript' | 'json' | 'jsx' | 'julia' | 'kotlin' | 'latex' | 'livescript' | 'lua' | 'mathematica' | 'matlab' | 'objective-c' | 'objective-j' | 'objectpascal' | 'ocaml' | 'octave' | 'pascal' | 'perl' | 'php' | 'powershell' | 'prolog' | 'puppet' | 'purebasic' | 'python' | 'qml' | 'r' | 'racket' | 'restructuredtext' | 'ruby' | 'rust' | 'sass' | 'scala' | 'scheme' | 'shell' | 'smalltalk' | 'sql' | 'standardml' | 'swift' | 'tcl' | 'tex' | 'text' | 'tsx' | 'typescript' | 'vala' | 'vbnet' | 'verilog' | 'visualbasic' | 'vhdl' | 'xml' | 'xquery';
export declare const SUPPORTED_LANGUAGE_ALIASES: readonly {
    name: string;
    alias: string[];
    value: string;
}[];
export declare const normalizeLanguage: (language?: string | undefined) => string;
