import React from 'react';
import { ThemeProvider, withTheme } from 'styled-components';
import Code from './components/Code';
const CodeWithTheme = withTheme(Code);
const emptyTheme = {};

const ThemedCode = props => /*#__PURE__*/React.createElement(ThemeProvider, {
  theme: emptyTheme
}, /*#__PURE__*/React.createElement(CodeWithTheme, props));

export default ThemedCode;