import React from 'react';
import { ThemeProvider, withTheme } from 'styled-components';
import Code from './components/Code';
var CodeWithTheme = withTheme(Code);
var emptyTheme = {};

var ThemedCode = function ThemedCode(props) {
  return /*#__PURE__*/React.createElement(ThemeProvider, {
    theme: emptyTheme
  }, /*#__PURE__*/React.createElement(CodeWithTheme, props));
};

export default ThemedCode;